;;; $DOOMDIR/+projects.el -*- lexical-binding: t; -*-

(defvar project-locations '(("~/ghq/" . 3)
                            ("~/.dotfiles" . 0)
                            ("~/configs" . 0))
  "Where all my projects are located.

Most of them are managed using `ghq' in ~/ghq/, however there are also some
projects in other locations.")

(after! projectile
  (setq projectile-project-search-path project-locations)
  ;; TODO Work-around https://github.com/doomemacs/doomemacs/issues/6600
  ;; https://github.com/doomemacs/doomemacs/pull/6597
  ;; https://github.com/bbatsov/projectile/issues/1788
  (setq projectile-generic-command "fd . -0 --type f --color=never"))

(after! magit
  (add-hook! 'after-save-hook #'magit-after-save-refresh-status)
  (setq magit-save-repository-buffers t ; ask to save modified files in repo
        magit-repository-directories project-locations))

(use-package! ghq)
